Page MenuHomePhabricator

Transportation on different layers appears to connect
Open, NormalPublic

Description

With the casings the way they are, it looks like all the roads connect.

MapBox Streets shows a more appropriate rendering

As does OpenStreetMap Carto

Event Timeline

Pnorman created this task.Sep 25 2015, 3:09 AM
Pnorman raised the priority of this task from to Needs Triage.
Pnorman updated the task description. (Show Details)
Pnorman added a project: Maps.
Pnorman added a subscriber: Pnorman.
Restricted Application added a project: Discovery. · View Herald TranscriptSep 25 2015, 3:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik added a subscriber: Yurik.Sep 25 2015, 10:23 AM

@Pnorman, thanks, please add a url to the location

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 7 2015, 7:04 AM
Deskana moved this task from Needs triage to Maps on the Discovery board.Dec 31 2015, 12:43 AM
Yurik moved this task from Backlog to Bugs on the Maps (Map-Styles) board.Mar 6 2016, 2:34 AM
debt assigned this task to Pnorman.Nov 28 2016, 5:40 PM
debt added a subscriber: debt.

Hi @Pnorman - this looks like something we can get fixed, right? Assigning to you for now, thanks! :)

After writing the brighmed layers and attempting to figure out what WMF osm-bright.tm2 + .tm2source does, it looks like the issue in WMF osm-bright stems from group-by problems. There are some in the styles, but I wonder if there's also

I have it fixed in theory in the new work, but https://github.com/kosmtik/kosmtik/issues/177 is blocking testing and seeing the fix. Interestingly, it looks like there's a similar issue with group-by not making it into the XML with MB Studio Classic + WMF osm-bright.

debt triaged this task as Normal priority.Dec 2 2016, 12:18 AM

thanks for the explanation, @Pnorman

Yurik removed a project: Maps.Dec 15 2016, 4:35 AM
Pnorman changed the task status from Open to Stalled.Feb 4 2017, 12:55 AM

The new unreleased version of CartoCSS fixes this with brighmed.

debt closed this task as Declined.Jun 14 2017, 2:51 PM
debt removed a project: Maps-Sprint.

Declining this ticket, as it'll be fixed with the next version of CartoCSS.

We're fixing this in the new vector tile schema work, I don't think declined is correct.

debt reopened this task as Open.Jun 14 2017, 5:17 PM

Gotcha - reopening but keeping it off the sprint board until we're ready.

We're not deploying the new style work, but I'm not closing this as declined. This is a clear bug in osm-bright.tm2 and/or osm-bright.tm2source, and the style attempts to handle it correctly, it's just buggy.